net.sf.jasperreports.olap.xmla

## Class JRXmlaMember

- java.lang.Object
- - net.sf.jasperreports.olap.xmla.JRXmlaMember

- All Implemented Interfaces:
    JROlapMember

      public class JRXmlaMember
      extends java.lang.Object
      implements JROlapMember

  Version:
    $Id: JRXmlaMember.java 6912 2014-02-18 17:32:41Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRXmlaMember(java.lang.String name, java.lang.String uniqueName, java.lang.String dimensionName, java.lang.String levelName, int depth)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDepth()`
    `java.lang.String` | `getDimensionName()`
    `java.lang.String` | `getLevelName()`
    `java.lang.Object` | `getMember()`
    `java.lang.String` | `getName()`
    `JROlapMember` | `getParentMember()`
    `java.lang.Object` | `getPropertyValue(java.lang.String propertyName)`
    `java.lang.String` | `getUniqueName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRXmlaMember

          public JRXmlaMember(java.lang.String name,
                      java.lang.String uniqueName,
                      java.lang.String dimensionName,
                      java.lang.String levelName,
                      int depth)

  - ### Method Detail

    - #### getDepth

          public int getDepth()

      Specified by:
        `getDepth` in interface `JROlapMember`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `JROlapMember`

    - #### getParentMember

          public JROlapMember getParentMember()

      Specified by:
        `getParentMember` in interface `JROlapMember`

    - #### getPropertyValue

          public java.lang.Object getPropertyValue(java.lang.String propertyName)

      Specified by:
        `getPropertyValue` in interface `JROlapMember`

    - #### getUniqueName

          public java.lang.String getUniqueName()

      Specified by:
        `getUniqueName` in interface `JROlapMember`

    - #### getLevelName

          public java.lang.String getLevelName()

    - #### getDimensionName

          public java.lang.String getDimensionName()

    - #### getMember

          public java.lang.Object getMember()

      Specified by:
        `getMember` in interface `JROlapMember`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com